知乎 · 内容详情

专栏文章

传入专栏链接或 ID,返回每个专栏的文章,含标题、正文、赞同数、评论数、时间和作者。

POST/v1/zhihu/column

$0.00359每条

1,000 条
≈ $3.59
每页(10 条)最低
$0.001358

可用试用额度能用 cursor 翻页

在控制台里试

怎么发

用 POST 带 JSON 请求体,或者用 GET 把同样的参数放进查询串。key 放在 Authorization 头里。

curl -X POST "https://api.silklinedata.com/v1/zhihu/column" \
  -H "Authorization: Bearer $SILKLINE_KEY" \
  -H "Content-Type: application/json" \
  -d '{"limit":5,"columns":["https://zhuanlan.zhihu.com/vinca520"]}'

返回什么

这是 2026-11-09 一次真实请求返回的记录。普通用户的名字、头像和主页链接显示为 <masked>;长文字只在这里截短,接口里是完整的。

200 OK · 取数日期 2026-11-09
{
  "data": [
    {
      "type": "article",
      "articleId": "697394778",
      "url": "https://zhuanlan.zhihu.com/p/69739477…",
      "title": "蛋佬的叨叨: 匠人在中国有戏吗?",
      "text": "老人常说:\"不要当戏子和厨子\",看来还是…",
      "excerpt": "老人常说:\"不要当戏子和厨子\",看来还是…",
      "voteupCount": 1,
      "commentCount": 3,
      "favoriteCount": null,
      "createdAt": "2024-05-13T01:47:03Z",
      "updatedAt": "2024-05-13T01:47:03Z",
      "imageUrl": "https://picx.zhimg.com/v2-c866c8658fd…",
      "topics": [],
      "author": "<masked>",
      "authorId": "<masked>",
      "authorUrlToken": "<mas…",
      "authorAvatar": "<masked>",
      "authorHeadline": "<masked>",
      "authorGender": "<masked>",
      "authorFollowerCount": null,
      "authorVerification": "<masked>",
      "authorIpLocation": null,
      "sourceColumn": "vinca520"
    },
    {
      "type": "article",
      "articleId": "695762171",
      "url": "https://zhuanlan.zhihu.com/p/69576217…",
      "title": "蛋佬的叨叨: 2024 WBrC 濾杯革命之我見",
      "text": "其實每年的世界咖啡賽事,都會有優秀的…",
      "excerpt": "其實每年的世界咖啡賽事,都會有優秀的…",
      "voteupCount": 1,
      "commentCount": 0,
      "favoriteCount": null,
      "createdAt": "2024-05-03T02:43:59Z",
      "updatedAt": "2024-05-03T02:43:59Z",
      "imageUrl": "https://pica.zhimg.com/v2-232d0f486d3…",
      "topics": [],
      "author": "<masked>",
      "authorId": "<masked>",
      "authorUrlToken": "<mas…",
      "authorAvatar": "<masked>",
      "authorHeadline": "<masked>",
      "authorGender": "<masked>",
      "authorFollowerCount": null,
      "authorVerification": "<masked>",
      "authorIpLocation": null,
      "sourceColumn": "vinca520"
    }
  ],
  "cursor": "c1.Hq8vR2mTn5wK.yJ0dXA…",
  "meta": {
    "request_id": "req_01JD8Q…",
    "charged_usd": "0.007180",
    "balance_usd": "9.875000",
    "items": 2
  }
}

字段 23

字段类型示例值
typestringarticle
articleIdstring697394778
urlstringhttps://zhuanlan.zhihu.com/p/697394778
titlestring蛋佬的叨叨: 匠人在中国有戏吗?
textstring老人常说:"不要当戏子和厨子",看来还是有点道理。这道理在于,几十年来,情况都没有被改变。未来会不会改变呢? 尊重? …
excerptstring老人常说:"不要当戏子和厨子",看来还是有点道理。这道理在于,几十年来,情况都没有被改变。未来会不会改变呢? 尊重? 等…
voteupCountnumber1
commentCountnumber3
favoriteCountnullnull
createdAtstring2024-05-13T01:47:03Z
updatedAtstring2024-05-13T01:47:03Z
imageUrlstringhttps://picx.zhimg.com/v2-c866c8658fd7c0eaa238b111eaaaa21d_7…
topicsarray[]
authorstring<masked>
authorIdstring<masked>
authorUrlTokenstring<masked>
authorAvatarstring<masked>
authorHeadlinestring<masked>
authorGenderstring<masked>
authorFollowerCountnullnull
authorVerificationstring<masked>
authorIpLocationnullnull
sourceColumnstringvinca520

参数 2

参数名类型必填说明示例
limitinteger否返回的记录条数,1 到 100。一次请求返回的条数不会超过这个数。5
columnsarray是专栏链接(https://zhuanlan.zhihu.com/<id>)或链接末尾的 ID。["https://zhuanlan.zhihu.com/vinca520"]

翻页

把上一次返回的 cursor 连同同样的参数传回来,拿下一页。每一页是一次独立的请求,单独计费;最后一页的 cursor 是 null。

JavaScript
const params = {"columns":["https://zhuanlan.zhihu.com/vinca520"]};
const records = [];
let cursor = null;
do {
  const response = await fetch("https://api.silklinedata.com/v1/zhihu/column", {
    method: "POST",
    headers: { Authorization: `Bearer ${process.env.SILKLINE_KEY}`, "Content-Type": "application/json" },
    body: JSON.stringify({ ...params, limit: 100, ...(cursor ? { cursor } : {}) }),
  });
  const answer = await response.json();
  records.push(...answer.data);
  cursor = answer.cursor;
} while (cursor);
console.log(records.length);

一次请求花多少

按条计费;一次请求条数少或没有结果时,每取一页收费不超过这个接口每页的最低收费,可能更低;我们这边出错或超时不收费。

这个接口一页最多 10 条,每页最低收费 $0.001358;要 100 条的请求会取 10 页。

  • 1 条:最多 $0.00359
  • 20 条:最多 $0.0718
  • 100 条:最多 $0.359

返回的 meta 里写着这次扣了多少(charged_usd)和还剩多少(balance_usd)。我们这边出错不收费。

常见问题

「专栏文章」要传哪些参数?

必填:columns。另外都可以传 limit(1 到 100)。

一次请求最多返回多少条?

每次请求最多 100 条(limit 1 到 100)。每页最多 10 条,要 100 条时一次请求取 10 页。

能接着往后取吗?

能。回答里有 cursor 时,带上同样的参数和这个 cursor 再请求一次,就从上次停下的地方接着取。

怎么收费?

每条 记录 $0.00359。每页最低收费 $0.001358:条数少或没有结果时,每取一页最多收这么多,可能更低。取 100 条最多 $0.359。

请求失败或者没有结果时怎么收费?

按条计费;一次请求条数少或没有结果时,每取一页收费不超过这个接口每页的最低收费,可能更低;我们这边出错或超时不收费。回答里的 meta 写着这次收了多少、余额还剩多少。